Basic GO Techniques
WHAT IS "GO"?

"GO" is a simple "shell" for "dearchiving programs" such as  PKUNZIP, ARCE,
LZH and so on.   GO is a very specialized shell.  You use it for ONE purpose
only:  distribution of software via diskette.

If you've ever given a computer novice a diskette with an archived file, you
know the routine:

    "Okay, you put the diskette in the drive, then type PKUNZIP followed
    by the root name of the zip and then the name of the directory it's
    going to, unless you're there already ... and don't forget to separate
    the parameters with spaces!"

The usual comment after such an explanation is:

                "Can't you make it any easier that that?"

Thanks to GO ... you can!


HOW GO WORKS

When you're preparing a diskette for somebody, copy one or more ZIP files (up
to a maximum of 9) onto the diskette, plus the dearchiving program, plus the
file GO.EXE.  Then write a short explanation on the diskette label:

                  Put this diskette in the A: drive
                  At the DOS prompt enter the command A:GO

If you know that the user uses a DOS shell menu, you may have to alter your
explanation slightly.

If the user follows those simple instructions, he will be able to install the
ZIP files that are located on the diskette.

The user does require a certain bare minimum level of knowledge, though.  He
must be familiar with terms like Drive A:, File, and Directory.


USING GO

When the user types A:GO (or B:GO if appropriate) he is presented with a very
simple menu that offers him the following three choices:

                               Information
                               Install
                               Quit

He can select an option either with function keys or by using the arrow keys
and Enter.

<Information> displays a text file on the diskette.  If there are more than
one text file, he is presented with a menu.

<Install> suggests a directory name (which the user can change), then 
dearchives the program into that directory.  If there are more than one 
archive file, he is first presented with a menu.


OPTIONAL MENU LINES

The GO menu sometimes shows more than the three items mentioned (i.e. Infor-
mation, Install and Quit).  The following two items may also appear:

                             About "GO"
                             Print reply form

<About "GO"> appears on all unregistered copies of GO.  If you order a
personalized copy of GO ($14 + $3 S&H), this advertisement will disappear.
(Personalized copies also replace our copyright notice on the main GO menu 
with the text of your choice.)

<Print reply form> appears only if the file GO-FORM.DAT appears on the
diskette.  GO-FORM.DAT is a text file that can be prepared on any standard
DOS text editor.


<Information>

The information display is designed exclusively for small text files.  If you
want to provide the user with extensive documentation prior to installation,
we recommend that you purchase Pinnacle Software's HELPME program ($75).

A "text file" is any file with an extension of ME, DOC, TXT, LST, or S-D.

<Information> is appropriate for displaying one or two screens containing
important information such as:

              A brief description of what's on the disk
              How the user can obtain help if he gets stuck

If the user is viewing the text on a color monitor, the text will be displayed
in various colors, according to some simple rules.


Colorization Rules

If the viewer is using monochrome or MODE BW80, all text is the same color.
Otherwise...

       IF THE LINE CONTAINS         THE COLOR IS
       --------------------         ------------
       Regular text                 LightGreen       unless...
       Four spaces in a row         Yellow           unless...
       All uppercase                LightMagenta     unless...
       Characters over ASCII 128    LightCyan        unless...
       ASCII 12 in column 1         White on Blue

NOTE:  ASCII 12 (CTRL-L i.e. Form Feed) causes a new screen to be displayed.

Of course, this technique is not as powerful as using ANSI displays, but it
allows the more advanced user to view the files using whatever method he 
prefers.  Also, these colorization rules let you use a regular text file, 
are easily memorized, and generally create a fairly attractive display.


<Install>

Remember to put a copy of the dearchiving program on the diskette, or the
installation step will display an error message.  (In such case, GO will
scan the user's PATH for a copy of the dearchiving program, but it will
nevertheless caution him that it expected to find a dearchiving program on
the diskette.  This forewarns the user that problems may occur if his
dearchiver is obsolete.)

After the installation is complete, GO looks in the directory for a file
named READ.ME.  If it finds it, it displays it.  Otherwise, it looks for
a file with a DOC extension and displays the first one it finds.  GO then
returns the user to DOS (or the DOS shell).

Thus, your READ.ME should tell the user what to do next (how to start the
program, usually).

If your installation is fancy (i.e. requires dearchiving the archive file
into several different directories), you could place the directories
in separate archive files.  A better solution is to order a customized
version of GO, or to modify the dearchiving parameters ...


CHANGING THE DEARCHIVING METHOD


When you order a registered copy of GO from Pinnacle Software, you may ask
us to change the dearchiving method.  Please remember to cite the precise
name of the program that does the dearchiving, the extension of the archive
files that it handles, and the command-line parameters it requires.  (If
possible, send us a copy of the program so we can test it.)

There is no extra charge for this service.


Doing It the Hard Way

If you're an experienced programmer, you can use a program such as DEBUG to
"zap" in the name of the dearchiving program.  You can find the text string
near the end of the GO.EXE file.  The byte just prior to the string dictates
the length of the string.

The string following the file name contains the extension of the archive files
(e.g. ZIP).  This should be changed if appropriate -- be sure to change the
length byte if different.

The next string (ten characters) contains the parameter to pass to the
dearchiver.  (Some dearchivers, such as PKUNZIP, don't need a parameter)

EXAMPLE:  CHANGING FROM PKUNZIP TO LHARC

Original     0B 50 4B 55 4E 5A 49 50 2E 45 58 45 00 00 03 5A  .PKUNZIP.EXE...Z
Hex/ASCII    49 50 00 00 00 00 00 00 00 00 00 00 00 00 0B 00  IP..............

Modified     09 4C 48 41 52 43 2E 45 58 45 00 00 00 00 03 4C  .LHARC.EXE.....L
Hex/ASCII    5A 48 01 65 00 00 00 00 00 00 00 00 00 00 00 00  ZH.e............


DISTRIBUTION (LEGAL NOTICE)

GO is Copyright (C) 1991 by the Montreal Division of Pinnacle Software.

You are entitled to give away copies of GO, or distribute disks with the aid
of GO, as long as the program is not altered, with the following exceptions:

    1.  You are permitted to alter operating methods by altering text
        strings, as explained in the section "Doing It the Hard Way".
        Copyright notices and Menu (ownership) banners may NOT be altered.

    2.  You may compress the EXE file using programs such as PKLITE or DIET.
        Compression is highly recommended, to increase useable disk-space.
        If you do not have a compressor, use the program GO_SMALL.EXE, which
        was compressed with DIET.

If you require any other changes, you must obtain these through Pinnacle
Software.  See the order form for details, or call us at 514-345-9578.

When passing around copies of GO on diskette, you are entitled to replace
the entire contents of the file GO-FORM.DAT, or omit the file altogether.
